MINTPY-PREP_ARIA(1)

NAME
mintpy-prep_aria - Prepare ARIA processed products for MintPy.

DESCRIPTION
usage: prep_aria.py [-h] [-t TEMPLATE_FILE] [-o OUTFILE OUTFILE] [--update]

[--compression {gzip,None,lzf}] [-s STACKDIR] [-u UNWFILE]
    [-c CORFILE] [-l CONNCOMPFILE] [--amp-stack-name MAGFILE] [-d DEMFILE] [-i INCANGLEFILE] [-a AZANGLEFILE] [-w WATERMASKFILE]

Prepare ARIA processed products for MintPy.

  options:

-h, --help
    show this help message and exit

-t TEMPLATE_FILE, --template TEMPLATE_FILE
    template file with the options

-o OUTFILE OUTFILE, --output OUTFILE OUTFILE
    output HDF5 file

--update
    Enable the update mode: checking dataset already loaded.

--compression {gzip,None,lzf}
    HDF5 file compression, default: None

  interferogram stack:

-s STACKDIR, --stack-dir STACKDIR
    The directory which contains stack VRT files.

-u UNWFILE, --unwrap-stack-name UNWFILE
    Name of the stack VRT file of unwrapped data. default: unwrapStack.vrt

-c CORFILE, --coherence-stack-name CORFILE
    Name of the stack VRT file of coherence data. default: cohStack.vrt

-l CONNCOMPFILE, --conn-comp-stack-name CONNCOMPFILE
    Name of the stack VRT file of connected component data. default: connCompStack.vrt

--amp-stack-name MAGFILE, --amplitude-stack-name MAGFILE
    Name of the stack VRT file of interferogram amplitude data (optional). default: ampStack.vrt

  geometry:

-d DEMFILE, --dem DEMFILE
    Name of the DEM file

-i INCANGLEFILE, --incidence-angle INCANGLEFILE
    Name of the incidence angle file

-a AZANGLEFILE, --az-angle AZANGLEFILE, --azimuth-angle AZANGLEFILE
    Name of the azimuth angle file.

-w WATERMASKFILE, --water-mask WATERMASKFILE
    Name of the water mask file

  template options:

    ########## 1. load_data ## no - save 0% disk usage, fast [default] ## lzf - save ~57% disk usage, relative slow ## gzip - save ~62% disk usage, very slow [not recommend] mintpy.load.processor = aria #[isce, aria, snap, gamma, roipac], auto for isce mintpy.load.updateMode = auto #[yes / no], auto for yes, skip re-loading if HDF5 files are complete mintpy.load.compression = auto #[gzip / lzf / no], auto for no. ##---------interferogram datasets: mintpy.load.unwFile = ../stack/unwrapStack.vrt mintpy.load.corFile = ../stack/cohStack.vrt mintpy.load.connCompFile = ../stack/connCompStack.vrt mintpy.load.magFile = ../stack/ampStack.vrt # optional ##---------geometry datasets: mintpy.load.demFile = ../DEM/SRTM_3arcsec.dem mintpy.load.incAngleFile = ../incidenceAngle/*.vrt mintpy.load.azAngleFile = ../azimuthAngle/*.vrt mintpy.load.waterMaskFile = ../mask/watermask.msk ##---------multilook (optional): ## multilook while loading data with nearest interpolation, to reduce dataset size mintpy.load.ystep = auto #[int >= 1], auto for 1 - no multilooking mintpy.load.xstep = auto #[int >= 1], auto for 1 - no multilooking ##---------subset (optional): ## if both yx and lalo are specified, use lalo option mintpy.subset.yx = auto #[y0:y1,x0:x1 / no], auto for no mintpy.subset.lalo = auto #[lat0:lat1,lon0:lon1 / no], auto for no

  example:

prep_aria.py -t smallbaselineApp.cfg
    # recommended

    prep_aria.py -t SanFranSenDT42.txt prep_aria.py -s ../stack/ -d ../DEM/SRTM_3arcsec.dem -i ../incidenceAngle/*.vrt prep_aria.py -s ../stack/ -d ../DEM/SRTM_3arcsec.dem -i ../incidenceAngle/*.vrt -a ../azimuthAngle/*.vrt -w ../mask/watermask.msk

    # download / extract / prepare inteferograms stack from ARIA using ARIA-tools: # reference: https://github.com/aria-tools/ARIA-tools ariaDownload.py -b '37.25 38.1 -122.6 -121.75' --track 42 ariaTSsetup.py -f 'products/*.nc' -b '37.25 38.1 -122.6 -121.75' --mask Download --num_threads 4 --verbose